//
//  LAManagedObjectContextSynchronizationSessionController.h
//  LAAdditions
//
//  Created by Cyril Anger on 16/07/13.
//  Copyright (c) 2013 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <LAAdditions/LAViewController.h>
#import <LAAdditions/LAManagedObjectContextSynchronizationSession.h>
#import <LAAdditions/LASynchronizationChangesController.h>
#import <LAAdditions/LAButton.h>

@interface LAManagedObjectContextSynchronizationSessionController : LAViewController

@property (weak, nonatomic) IBOutlet NSTextField *titleLabel;
@property (weak, nonatomic) IBOutlet LAButton *validateButton;
@property (weak, nonatomic) IBOutlet LAView *contentView;
@property (weak, nonatomic) IBOutlet NSTextField *loadingLabel;
@property (weak, nonatomic) IBOutlet NSProgressIndicator *progressIndicator;

- (id)initWithSession:(LAManagedObjectContextSynchronizationSession *)session;
- (void)start;

- (IBAction)cancel:(id)sender;

@end
