//
//  LAPopover.h
//  LAAdditions
//
//  Created by Cyril Anger on 23/08/11.
//  Copyright 2011 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void (^LAPopoverBlock)(NSPopover *popover);

@interface LAPopover : NSPopover <NSPopoverDelegate>

+ (LAPopover *)popoverWithAppearence:(NSPopoverAppearance)appearance contentViewController:(NSViewController *)contentViewController;
+ (LAPopover *)popoverWithAppearence:(NSPopoverAppearance)appearance contentView:(NSView *)contentView;
+ (LAPopover *)currentPopover;

- (void)showRelativeToRect:(NSRect)positioningRect ofView:(NSView *)positioningView preferredEdge:(NSRectEdge)preferredEdge usingBlock:(LAPopoverBlock)block;

@end
