//
//  LAStringEncoding.h
//  LAAdditions
//
//  Created by Cyril Anger on 30/05/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <LAAdditions/LAConstant.h>

@interface LAStringEncoding : LAConstant

@property (strong, nonatomic, readonly) NSString *XMLEncoding;

+ (LAStringEncoding *)ASCIIStringEncoding;
+ (LAStringEncoding *)MacOSRomanStringEncoding;
+ (LAStringEncoding *)ISOLatin1StringEncoding;
+ (LAStringEncoding *)UTF8StringEncoding;
+ (LAStringEncoding *)UTF16BigEndianStringEncoding;
+ (LAStringEncoding *)UTF16LittleEndianStringEncoding;
+ (LAStringEncoding *)WindowsCP1252StringEncoding;
+ (LAStringEncoding *)ShiftJISStringEncoding;
+ (LAStringEncoding *)BIG5StringEncoding;
+ (LAStringEncoding *)BIG5HKSCSStringEncoding;
+ (LAStringEncoding *)GB2312StringEncoding;
+ (LAStringEncoding *)GBKStringEncoding;
+ (LAStringEncoding *)GB18030StringEncoding;
+ (LAStringEncoding *)EUCCNStringEncoding;
+ (LAStringEncoding *)HZGB2312StringEncoding;
+ (LAStringEncoding *)ISO2022CNStringEncoding;

- (id)initWithName:(NSString *)name value:(NSInteger)value XMLEncoding:(NSString *)XMLEncoding;

@end
