//
//  LAOrderedSetAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 12/01/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSOrderedSet (LAOrderedSetAdditions)

- (NSOrderedSet *)transformUsingBlock:(id (^)(id object))block;
- (NSString *)uniqueValue:(NSString *)value withFormat:(NSString *)format pattern:(NSString *)pattern;
- (NSArray *)flatArrayWithChildrenKeyPath:(NSString *)childrenKeyPath leafKeyPath:(NSString *)leafKeyPath;
- (NSArray *)flatArrayWithChildrenKeyPath:(NSString *)childrenKeyPath leafKeyPath:(NSString *)leafKeyPath includingGroups:(BOOL)includingGroups;
- (NSDictionary *)objectPathsMapWithKeyPath:(NSString *)keyPath childrenKeyPath:(NSString *)childrenKeyPath leafKeyPath:(NSString *)leafKeyPath;

@end
