//
//  LAScrollViewAdditions.h
//  LAAdditions
//
//  Created by Cyril Anger on 04/05/12.
//  Copyright (c) 2012 LyricApps. All rights reserved.
//

#import <Foundation/Foundation.h>

#if TARGET_OS_IPHONE
#define LAScrollView UIScrollView
#define LAScrollViewDelegate UIScrollViewDelegate
#else
#define LAScrollView NSScrollView
@protocol LAScrollViewDelegate
@end
#endif

@interface LAScrollView (LAScrollViewAdditions)

#if !TARGET_OS_IPHONE
@property BOOL usesFlippedClipView;
@property LAPoint contentOffset;
#endif

@end

#if !TARGET_OS_IPHONE

@interface LAFlippedClipView : NSClipView

@end

#endif
